Won\'t install Not yet rated

Window comes up with \"Incompatible Extension\" title.\r\nYellow exclamation, then \"Headers Toggle 0.5.2.2 could not be installed because it is not compatible with Firefox. \r\n\r\nI have Windows XP Pro, SP 2 \r\nFirefox 2.0.0.3\r\nThunderbird version 2.0.0.0 (20070326)